;
; The names for city tiles are not free and must follow the following rules.
; The names consists of style name, _ , size. The style name is as specified
; in cities.ruleset file. The size indicates which size city must
; have to be drawn with a tile. E.g. european_4 means that the tile is to be
; used for cities of size 4+ in european style. Obviously the first tile
; must be style_name_0. The sizes must be in ascending order.
; There must also be a style_name_wall tile used to draw the wall and
; an occupied tile to indicate a miltary units in a city.
; The maximum size supported now is 31, but there can only be MAX_CITY_TILES
; normal tiles. The constant is defined in common/city.h and set to 8 now.
;

[spec]

; Format and options of this spec file:
options = "+spec2"

[info]

artists = "

    Resized and reworked by

       Morgan Jones

    Using images and elements of

       - Trident tileset by Tatu Rissanen
       - R-HiRes tileset by Tim F. Smith, Daniel Speyer, and Frederic Rodrigo
       - Lexxy tileset by Tim F. Smith, Daniel Speyer
       - FT tileset by Franz Mach
"

[file]
gfx = "trident/cities"

[grid_main]

x_top_left = 0
y_top_left = 0
dx = 30
dy = 30

tiles = { "row", "column", "tag"

; default tiles

 4,  0, "cd.city"
 4,  3, "cd.city_wall"
 7,  4, "cd.occupied"

; used by all city styles

 7,  5, "city.disorder"

;
; city tiles
;
 0,  0, "city.precolumbian_0"
 0,  1, "city.precolumbian_5"
 0,  2, "city.precolumbian_10"
 0,  3, "city.precolumbian_wall"
 0,  4, "city.precolumbian_0_wall"
 0,  5, "city.precolumbian_5_wall"
 0,  6, "city.precolumbian_10_wall"

 1,  0, "city.european_0"
 1,  1, "city.european_5"
 1,  2, "city.european_10"
 1,  3, "city.european_wall"
 1,  4, "city.european_0_wall"
 1,  5, "city.european_5_wall"
 1,  6, "city.european_10_wall"

 2,  0, "city.classical_0"
 2,  1, "city.classical_5"
 2,  2, "city.classical_10"
 2,  3, "city.classical_wall"
 2,  4, "city.classical_0_wall"
 2,  5, "city.classical_5_wall"
 2,  6, "city.classical_10_wall"

 3,  0, "city.oriental_0"
 3,  1, "city.oriental_5"
 3,  2, "city.oriental_10"
 3,  3, "city.oriental_wall"
 3,  4, "city.oriental_0_wall"
 3,  5, "city.oriental_5_wall"
 3,  6, "city.oriental_10_wall"

 4,  0, "city.african_0"
 4,  1, "city.african_5"
 4,  2, "city.african_10"
 4,  3, "city.african_wall"
 4,  4, "city.african_0_wall"
 4,  5, "city.african_5_wall"
 4,  6, "city.african_10_wall"

 5,  0, "city.industrial_0"
 5,  1, "city.industrial_5"
 5,  2, "city.industrial_10"
 5,  3, "city.industrial_wall"
 5,  4, "city.industrial_0_wall"
 5,  5, "city.industrial_5_wall"
 5,  6, "city.industrial_10_wall"

 6,  0, "city.modern_0"
 6,  1, "city.modern_5"
 6,  2, "city.modern_10"
 6,  3, "city.modern_wall"
 6,  4, "city.modern_0_wall"
 6,  5, "city.modern_5_wall"
 6,  6, "city.modern_10_wall"

 7,  0, "city.barbarian_0"
 7,  1, "city.barbarian_wall"

 7,  2, "tx.fortress"
 7,  3, "tx.fortress_back"

 7,  4, "city.precolumbian_occupied"
 7,  4, "city.european_occupied"
 7,  4, "city.classical_occupied"
 7,  4, "city.oriental_occupied"
 7,  4, "city.african_occupied"
 7,  4, "city.industrial_occupied"
 7,  4, "city.modern_occupied"
 7,  4, "city.barbarian_occupied"

}
